ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jaikiran Pai <jaiki...@apache.org>
Subject Re: ivy 2.5.0-rc1 resolving gwt failed
Date Mon, 13 Aug 2018 10:54:24 GMT
2.5.0-rc1 has a major issue that's being tracked as part of IVY-1580. I
have been working on it but haven't had enough time to get a right
solution for it. A fix for that would be necessary to release rc2 of
Final of 2.5.0. I don't have an exact time frame for the release, but
I'll send a note on the dev list once I have something.

-Jaikiran


On 13/08/18 4:22 PM, Gropp Volker wrote:
> Hi,
>
> I can confirm that 2.5.0-rc2-local-20180813102004 fixes the issue. Thanks a lot for the
fast fix. Is there any ETA for a public -rc2 so we can skip the workaround with edited pom-files
without the parent?
>
> Regards
> Volker
>
> -----Original Message-----
> From: Jaikiran Pai [mailto:jaikiran@apache.org] 
> Sent: Montag, 13. August 2018 12:37
> To: ivy-user@ant.apache.org
> Subject: Re: ivy 2.5.0-rc1 resolving gwt failed
>
> Thank you for filing that. A fix has been pushed to our master branch.
> If you are willing to test this out, you can use our nightly job
> mentioned in [1], to download the Ivy snapshot version which has this fix.
>
> [1] https://www.mail-archive.com/ivy-user@ant.apache.org/msg06252.html
>
> -Jaikiran
>
>
> On 13/08/18 2:24 PM, Gropp Volker wrote:
>> Hi,
>>
>> thanks for the quick answer, I filed https://issues.apache.org/jira/browse/IVY-1588
for this issue
>>
>> Regards Volker
>>
>> -----Original Message-----
>> From: Jaikiran Pai [mailto:jaikiran@apache.org] 
>> Sent: Montag, 13. August 2018 10:05
>> To: ivy-user@ant.apache.org
>> Subject: Re: ivy 2.5.0-rc1 resolving gwt failed
>>
>> I could reproduce this and it appears related to this fix
>> https://issues.apache.org/jira/browse/IVY-1545. Can you open a new JIRA
>> and add details or point tothis mailing thread, so that it can be
>> tracked and fixed against it?
>>
>> -Jaikiran
>>
>>
>> On 13/08/18 1:12 PM, Gropp Volker wrote:
>>> Hi,
>>>
>>> after upgrading to ivy 2.5.0-rc1 from 2.4.0 resolving gwt (google web toolkit)
fails:
>>> [ivy:resolve] :::: WARNINGS
>>>  [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
>>>  [ivy:resolve] 		::          UNRESOLVED DEPENDENCIES         ::
>>>  [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
>>>  [ivy:resolve] 		:: com.google.gwt#gwt-user;2.8.2: com.google.gwt#gwt;2.8.2->org.sonatype.oss#oss-parent;4
>>>  [ivy:resolve] 		:: com.google.gwt#gwt-dev;2.8.2: com.google.gwt#gwt;2.8.2->org.sonatype.oss#oss-parent;4
>>>  [ivy:resolve] 		:: com.google.gwt#gwt-servlet;2.8.2: com.google.gwt#gwt;2.8.2->org.sonatype.oss#oss-parent;4
>>>  [ivy:resolve] 		:: com.google.gwt#gwt-codeserver;2.8.2: com.google.gwt#gwt;2.8.2->org.sonatype.oss#oss-parent;4
>>>  [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
>>>  [ivy:resolve]
>>>
>>> There are reports on stackoverflow (https://stackoverflow.com/questions/51043863/ivy-unresolved-dependencies-gwt-2-7-0)
as well as on vaadin: https://vaadin.com/forum/thread/17122531 .
>>>
>>> Is there any workaround?
>>>
>>> They all depend on 
>>>   <groupId>com.google.gwt</groupId>
>>>   <artifactId>gwt</artifactId>
>>>   <version>2.8.2</version>
>>>
>>> In the POM of com.google.gwt:gwt there is a parent which looks valid to me:
>>>    <parent>
>>> 	<groupId>org.sonatype.oss</groupId>
>>> 	<artifactId>oss-parent</artifactId>
>>> 	<version>4</version>
>>>     </parent>
>>>
>>>
>>> Volker Gropp


Mime
View raw message